Debian Bug report logs - #612529
Broken TLS support in libGL.so

version graph

Package: libgl1-mesa-glx; Maintainer for libgl1-mesa-glx is Debian X Strike Force <debian-x@lists.debian.org>; Source for libgl1-mesa-glx is src:mesa.

Reported by: Yannick Roehlly <yannick.roehlly@free.fr>

Date: Tue, 8 Feb 2011 23:03:08 UTC

Severity: important

Found in version mesa/7.11-6

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package python-matplotlib. (Tue, 08 Feb 2011 23:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yannick Roehlly <yannick.roehlly@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 08 Feb 2011 23:03:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-matplotlib: Cairo update breaks matplotlib.image imgshow
Date: Wed, 09 Feb 2011 00:02:19 +0100
Package: python-matplotlib
Version: 1.0.1-1
Severity: normal
Tags: sid

With the recent libcairo2 update, matplotlib.image segfaults when using
imgshow().

For instance, launch ipython and execute this commands:

 import matplotlib.pyplot as plt
 import matplotlib.image as mpimg
 img=mpimg.imread('/usr/share/gdm/themes/debian-greeter/debian.png')
 imgplot=plt.imshow(img)

When libcairo2 is downgraded to testing version (1.10.2-1), the segfault
does no occur.

I've recompiled matplotlib but it does not solved the problem.

Regards,

Yannick

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-liquorix-5 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-matplotlib depends on:
ii  libatk1.0-0               1.32.0-2       The ATK accessibility toolkit
ii  libc6                     2.11.2-11      Embedded GNU C Library: Shared lib
ii  libcairo2                 1.10.2-2       The Cairo 2D vector graphics libra
ii  libfontconfig1            2.8.0-2.1      generic font configuration library
ii  libfreetype6              2.4.2-2.1      FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.4.5-10     GCC support library
ii  libglib2.0-0              2.27.91-1      The GLib library of C routines
ii  libgtk2.0-0               2.24.0-1       The GTK+ graphical user interface 
ii  libpango1.0-0             1.28.3-4       Layout and rendering of internatio
ii  libpng12-0                1.2.44-1       PNG library - runtime
ii  libstdc++6                4.6-20110125-1 The GNU Standard C++ Library v3
ii  python                    2.6.6-10       interactive high-level object-orie
ii  python-cairo              1.8.8-1+b1     Python bindings for the Cairo vect
ii  python-dateutil           1.4.1-3        powerful extensions to the standar
ii  python-gobject            2.27.0-2       Python bindings for the GObject li
ii  python-matplotlib-data    1.0.1-1        Python based plotting system (data
ii  python-numpy              1:1.4.1-5      Numerical Python adds a fast array
ii  python-pyparsing          1.5.2-2        Python parsing module
ii  python-support            1.0.12         automated rebuilding support for P
ii  python-tz                 2010b-1        Python version of the Olson timezo
ii  tcl8.5                    8.5.9-1        Tcl (the Tool Command Language) v8
ii  tk8.5                     8.5.9-1        Tk toolkit for Tcl and X11, v8.5 -
ii  zlib1g                    1:1.2.5.dfsg-1 compression library - runtime

Versions of packages python-matplotlib recommends:
ii  python-glade2                 2.17.0-4   GTK+ bindings: Glade support
ii  python-tk                     2.7-2      Tkinter - Writing Tk applications 

Versions of packages python-matplotlib suggests:
ii  dvipng                     1.13-1        convert DVI files to PNG graphics
ii  ipython                    0.10.1-0.1    enhanced interactive Python shell
ii  librsvg2-common            2.32.0-1      SAX-based renderer library for SVG
ii  python-configobj           4.7.2+ds-1    simple but powerful config file re
pn  python-excelerator         <none>        (no description available)
ii  python-gtk2                2.17.0-4      Python bindings for the GTK+ widge
ii  python-matplotlib-doc      1.0.1-1       Python based plotting system (docu
pn  python-qt3                 <none>        (no description available)
ii  python-qt4                 4.7.3-1+b1    Python bindings for Qt4
ii  python-scipy               0.7.2+dfsg1-1 scientific tools for Python
ii  python-traits              3.5.0-1       Manifest typing and reactive progr
ii  python-wxgtk2.8            2.8.10.1-3+b1 wxWidgets Cross-platform C++ GUI t
ii  texlive-extra-utils        2009-10       TeX Live: TeX auxiliary programs
ii  texlive-latex-extra        2009-10       TeX Live: LaTeX supplementary pack

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package python-matplotlib. (Tue, 08 Feb 2011 23:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 08 Feb 2011 23:15:12 GMT) Full text and rfc822 format available.

Message #10 received at 612529@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: 612529@bugs.debian.org
Subject: cairo 1.10.2-1 is experimental not testing
Date: Wed, 9 Feb 2011 00:13:43 +0100
libcairo2 1.10.2-1 is from experimental, not testing.

Yannick




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package python-matplotlib. (Tue, 08 Feb 2011 23:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 08 Feb 2011 23:18:06 GMT) Full text and rfc822 format available.

Message #15 received at 612529@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Yannick Roehlly <yannick.roehlly@free.fr>, 612529@bugs.debian.org, Sebastian Dröge <slomo@debian.org>
Subject: Re: [Python-modules-team] Bug#612529: python-matplotlib: Cairo update breaks matplotlib.image imgshow
Date: Wed, 9 Feb 2011 00:14:52 +0100
Hi Yannick,
thanks for your report

On Wed, Feb 9, 2011 at 00:02, Yannick Roehlly <yannick.roehlly@free.fr> wrote:
> Package: python-matplotlib
> Version: 1.0.1-1
> Severity: normal
> Tags: sid
>
> With the recent libcairo2 update, matplotlib.image segfaults when using
> imgshow().
>
> For instance, launch ipython and execute this commands:
>
>  import matplotlib.pyplot as plt
>  import matplotlib.image as mpimg
>  img=mpimg.imread('/usr/share/gdm/themes/debian-greeter/debian.png')
>  imgplot=plt.imshow(img)

do you have any backtrace and/or segfault stacktrace to attach here?

> When libcairo2 is downgraded to testing version (1.10.2-1), the segfault
> does no occur.
>
> I've recompiled matplotlib but it does not solved the problem.

The changes between -1 and -2 (the current version in unstable) *seem*
quite minimal: Sebastian, any thought?

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package python-matplotlib. (Wed, 09 Feb 2011 20:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 09 Feb 2011 20:57:10 GMT) Full text and rfc822 format available.

Message #20 received at 612529@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: Sandro Tosi <morph@debian.org>
Cc: 612529@bugs.debian.org, Sebastian Dröge <slomo@debian.org>
Subject: Re: [Python-modules-team] Bug#612529: python-matplotlib: Cairo update breaks matplotlib.image imgshow
Date: Wed, 9 Feb 2011 21:52:32 +0100
Le Wednesday 09 February 2011 00:14:52 Sandro Tosi, vous avez écrit :
> > For instance, launch ipython and execute this commands:
> > 
> >  import matplotlib.pyplot as plt
> >  import matplotlib.image as mpimg
> >  img=mpimg.imread('/usr/share/gdm/themes/debian-greeter/debian.png')
> >  imgplot=plt.imshow(img)
> 
> do you have any backtrace and/or segfault stacktrace to attach here?

Hi Sandro,

Trying to get a backtrace, I discovered that it is not a problem of matplotlib 
but a problem of ipython. For instance, running this script works:

#!/usr/bin/python
import matplotlib.pyplot as plt
import matplotlib.image as mpimg
img=mpimg.imread('/usr/share/gdm/themes/debian-greeter/debian.png')
imgplot=plt.imshow(img)
plt.show()

So it seems to be the "autoshow" feature of ipython that fails and this bug 
can be reassigned to it.

Do you know how to backtrace a ipython instance?

Regards,

Yannick

-- 
Hildebrant's Principle:
	If you don't know where you are going, any road will get you there.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package python-matplotlib. (Wed, 09 Feb 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 09 Feb 2011 22:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 612529@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Yannick Roehlly <yannick.roehlly@free.fr>, 612529@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#612529: Bug#612529: python-matplotlib: Cairo update breaks matplotlib.image imgshow
Date: Wed, 9 Feb 2011 23:01:27 +0100
reassign 612529 ipython
thanks

On Wed, Feb 9, 2011 at 21:52, Yannick Roehlly <yannick.roehlly@free.fr> wrote:
> Le Wednesday 09 February 2011 00:14:52 Sandro Tosi, vous avez écrit :
>> > For instance, launch ipython and execute this commands:
>> >
>> >  import matplotlib.pyplot as plt
>> >  import matplotlib.image as mpimg
>> >  img=mpimg.imread('/usr/share/gdm/themes/debian-greeter/debian.png')
>> >  imgplot=plt.imshow(img)
>>
>> do you have any backtrace and/or segfault stacktrace to attach here?
>
> Hi Sandro,
>
> Trying to get a backtrace, I discovered that it is not a problem of matplotlib
> but a problem of ipython. For instance, running this script works:
>
> #!/usr/bin/python
> import matplotlib.pyplot as plt
> import matplotlib.image as mpimg
> img=mpimg.imread('/usr/share/gdm/themes/debian-greeter/debian.png')
> imgplot=plt.imshow(img)
> plt.show()
>
> So it seems to be the "autoshow" feature of ipython that fails and this bug
> can be reassigned to it.

doing with this email.

> Do you know how to backtrace a ipython instance?

Looking at the manpage, I can see there is a -pdb and -pydb to start a
debugger in case of an uncaught exception, you might try that.

Cheers,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Bug reassigned from package 'python-matplotlib' to 'ipython'. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 22:03:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions matplotlib/1.0.1-1. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 22:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package ipython. (Wed, 09 Feb 2011 23:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 09 Feb 2011 23:57:07 GMT) Full text and rfc822 format available.

Message #34 received at 612529@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: Sandro Tosi <morph@debian.org>
Cc: 612529@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#612529: Bug#612529: python-matplotlib: Cairo update breaks matplotlib.image imgshow
Date: Thu, 10 Feb 2011 00:55:15 +0100
I'm awfully sorry. :'(

I had manually upgraded ipython to version 10.1 and reverting back to the 
official version 10 Debian package makes the problem disappear. So this bug 
may be closed.

Nevertheless, when you plan to upgrade ipython, I can test, if you need, an 
experimental package on my system to see if the problem persists.

Cheers,

Yannick




Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Thu, 10 Feb 2011 15:48:10 GMT) Full text and rfc822 format available.

Notification sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Bug acknowledged by developer. (Thu, 10 Feb 2011 15:48:10 GMT) Full text and rfc822 format available.

Message #39 received at 612529-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Yannick Roehlly <yannick.roehlly@free.fr>, 612529-done@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#612529: Bug#612529: Bug#612529: python-matplotlib: Cairo update breaks matplotlib.image imgshow
Date: Thu, 10 Feb 2011 16:43:59 +0100
On Thu, Feb 10, 2011 at 00:55, Yannick Roehlly <yannick.roehlly@free.fr> wrote:
> I'm awfully sorry. :'(
>
> I had manually upgraded ipython to version 10.1 and reverting back to the
> official version 10 Debian package makes the problem disappear. So this bug
> may be closed.

Bad bad Yannick :)

closing then

> Nevertheless, when you plan to upgrade ipython, I can test, if you need, an
> experimental package on my system to see if the problem persists.

could you please report a bug[1] to ipython upstream about that?

[1] https://github.com/ipython/ipython/issues

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Message #40 received at 612529-done@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: Sandro Tosi <morph@debian.org>
Cc: 612529-done@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#612529: Bug#612529: Bug#612529: python-matplotlib: Cairo update breaks matplotlib.image imgshow
Date: Sun, 20 Feb 2011 15:31:22 +0100
Le Thursday 10 February 2011 16:43:59 Sandro Tosi, vous avez écrit :
> could you please report a bug[1] to ipython upstream about that?

Hi Sandro,

I reported the bug to updstream (issue #277 see [1]).

As the bug is present the ipython 10.1 package you updated in Debian, maybe 
you could reopen this one.

As I have some experimental stuff installed on my system, I tested with a 
fresh Sid install and the bug is present.

Regards,

Yannick

[1] https://github.com/ipython/ipython/issues/277




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package ipython. (Mon, 21 Feb 2011 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 21 Feb 2011 22:51:05 GMT) Full text and rfc822 format available.

Message #45 received at 612529@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 612529@bugs.debian.org
Subject: confirmed
Date: Mon, 21 Feb 2011 23:47:33 +0100
[Message part 1 (text/plain, inline)]
I can confirm this problem.
But it does not seem to be the libcairo2 update but instead the
libgl1-mesa-glx update to 7.10.1-4.
installing 7.7.1-4 from testing (with libcairo2 from unstable) fixes the
problem for me.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package ipython. (Wed, 23 Feb 2011 16:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 23 Feb 2011 16:36:08 GMT) Full text and rfc822 format available.

Message #50 received at 612529@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 612529@bugs.debian.org
Subject: some more debugging info
Date: Wed, 23 Feb 2011 17:31:56 +0100
[Message part 1 (text/plain, inline)]
attached dlopen calls of ipython 0.10.1 and 0.10 with unstable mesa
installed.
0.10.1 crashes, 0.10 not.
This may be caused by the new version linking with _cairo.so which in
turns pulls libGL.so from mesa.

maybe rebuilding python-cairo might help, but I have not been able to
get this done yet due to build dependency problems.
[ipython-0.10.1-dlopen.txt (text/plain, attachment)]
[ipython-0.10-dlopen.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package ipython. (Thu, 24 Feb 2011 17:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 24 Feb 2011 17:24:06 GMT) Full text and rfc822 format available.

Message #55 received at 612529@bugs.debian.org (full text, mbox):

From: Yannick Roehlly <yannick.roehlly@free.fr>
To: 612529@bugs.debian.org
Subject: Rebuilding python-cairo does not help
Date: Thu, 24 Feb 2011 18:22:45 +0100
I rebuilded python-cairo and that did not solved the problem.

Regards,

Yannick




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package ipython. (Thu, 24 Feb 2011 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 24 Feb 2011 20:48:03 GMT) Full text and rfc822 format available.


Message #60 received at 612529@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 612529@bugs.debian.org
Cc: kibi@debian.org
Date: Thu, 24 Feb 2011 21:44:46 +0100
[Message part 1 (text/plain, inline)]
I did some testing with libgl1-mesa-glx versions from snapshots.
the problem seems to have been introduced between 7.8.2-2 and
7.9+repack-1.

Also I can even get it to crash when I open a non-existing png but
"opening" an non-existing jpg works.
Opening and showing an existing jpg also crashes.
And all works with 7.8.2-2 but I do not see the connection ...

>ipython
>%run test.py

import matplotlib.pyplot as plt
import matplotlib.image as mpimg
#crashes
img=mpimg.imread('notexisting.png')
#does not crash
img=mpimg.imread('existing.jpg')

# crashes
import matplotlib.pyplot as plt
import matplotlib.image as mpimg
img=mpimg.imread('existing.png')
#or
#img=mpimg.imread('existing.jpg')
imgplot=plt.imshow(img)
plt.show()

Attached a backtrace created by opening a non-existing png file with
7.9+repack-1.
I see no connection to libgl1-mesa-glx in it.
[backtrace.txt.gz (application/x-gzip, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Feb 2011 19:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#612529; Package ipython. (Sat, 26 Feb 2011 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Medlock <medlock@turboshower.net>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 26 Feb 2011 04:18:03 GMT) Full text and rfc822 format available.

Message #67 received at 612529@bugs.debian.org (full text, mbox):

From: Jan Medlock <medlock@turboshower.net>
To: 612529@bugs.debian.org
Subject: Reopening
Date: Fri, 25 Feb 2011 11:10:34 -0500
This bug is now affecting Sid, not just Experimental.

Reopening...

Thanks,
Jan Medlock





Bug reassigned from package 'ipython' to 'libgl1-mesa-glx'. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Thu, 10 Mar 2011 20:27:05 GMT) Full text and rfc822 format available.

Added indication that 612529 affects 0.10.1 and ipython Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Thu, 10 Mar 2011 20:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Thu, 10 Mar 2011 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 10 Mar 2011 20:33:06 GMT) Full text and rfc822 format available.


Message #76 received at 612529@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 612529@bugs.debian.org
Cc: control@bugs.debian.org
Date: Thu, 10 Mar 2011 21:28:48 +0100
[Message part 1 (text/plain, inline)]
severity 61252 serious
thanks

I my opinion the cause of this is some change in mesa.
Assigning it to mesa for assistance.
severity serious as I find it should not migrate to testing before the
situation is clarified (as more packages could be affected by this).

the latest ubuntu mesa update also introduces the problem but only in
version 7.10.1 (whereas debian has it since 7.9+repack-1)
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/732809

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Fri, 11 Mar 2011 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 11 Mar 2011 04:30:03 GMT) Full text and rfc822 format available.

Message #81 received at 612529@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julian Taylor <jtaylor.debian@googlemail.com>, 612529@bugs.debian.org
Subject: Re: Bug#612529: bug severity
Date: Fri, 11 Mar 2011 05:28:22 +0100
[Message part 1 (text/plain, inline)]
Hi,

Julian Taylor <jtaylor.debian@googlemail.com> (10/03/2011):
> severity 61252 serious
> thanks

please try not to introduce typos when talking to control@…

> I my opinion the cause of this is some change in mesa.  Assigning it
> to mesa for assistance.  severity serious as I find it should not
> migrate to testing before the situation is clarified (as more
> packages could be affected by this).

Didn't look very closely yet, but normal or important will do the job
for now.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) sid. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Fri, 11 Mar 2011 04:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Fri, 11 Mar 2011 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 11 Mar 2011 07:00:03 GMT) Full text and rfc822 format available.

Message #88 received at 612529@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: Julian Taylor <jtaylor.debian@googlemail.com>, 612529@bugs.debian.org
Subject: Re: Bug#612529: bug severity
Date: Fri, 11 Mar 2011 07:57:46 +0100
[Message part 1 (text/plain, inline)]
On 11/03/11 05:28, Cyril Brulebois wrote:
> Hi,
> 
> Julian Taylor <jtaylor.debian@googlemail.com> (10/03/2011):
>> severity 61252 serious
>> thanks
> 
> please try not to introduce typos when talking to control@…
> 
>> I my opinion the cause of this is some change in mesa.  Assigning it
>> to mesa for assistance.  severity serious as I find it should not
>> migrate to testing before the situation is clarified (as more
>> packages could be affected by this).
> 
> Didn't look very closely yet, but normal or important will do the job
> for now.
> 
> KiBi.

ubuntu found a workaround and probably the reason for the bug:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/259219

LD_PRELOAD=/usr/lib/libstdc++.so.6 ipython
works around the problem.

thus lower severity is now fine with me.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Tue, 15 Mar 2011 19:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 15 Mar 2011 19:57:07 GMT) Full text and rfc822 format available.


Message #93 received at 612529@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 612529@bugs.debian.org
Cc: control@bugs.debian.org
Date: Tue, 15 Mar 2011 20:51:59 +0100
[Message part 1 (text/plain, inline)]
retitle 612529 Broken TLS support in libGL.so
severity 612529 important
thanks

ubuntu partially fixed the bug so it does not cause segfaults:

mesa (7.10.1-0ubuntu2) natty; urgency=low

  * The “stop SIGSEGVing unrelated code” upload.
  * debian/patches/113_partially_fix_tls.diff:
    - Fix TLS usage: initial-exec is not appropriate for a library that
      can be dynamically loaded with dlopen. (LP: #259219)
    - Partial patch: missing IA32 assembler dispatch code.
  * debian/rules:
    - Build without optimised assembler on i386, as we haven't fixed that
      yet.  Opens LP #735188.
 -- Christopher James Halse Rogers <raof@ubuntu.com>   Tue, 15 Mar 2011 10:24:52 +1100

https://bugs.launchpad.net/bugs/259219


installing the ubuntu mesa version 7.10.1-0ubuntu2 also fixes the ipython problem in debian sid.

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'Broken TLS support in libGL.so' from 'python-matplotlib: Cairo update breaks matplotlib.image imgshow' Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Tue, 15 Mar 2011 19:57:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Tue, 15 Mar 2011 19:57:09 GMT) Full text and rfc822 format available.

Added indication that 612529 affects pytrainer and matplotlib Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Tue, 22 Mar 2011 22:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Wed, 11 May 2011 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 11 May 2011 15:48:03 GMT) Full text and rfc822 format available.

Message #104 received at 612529@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 612529@bugs.debian.org, Julian Taylor <jtaylor.debian@googlemail.com>
Subject: Why #612529 "affects" pytrainer specifically?
Date: Wed, 11 May 2011 17:44:06 +0200
[Message part 1 (text/plain, inline)]
Going around pytrainer bugs, I found this one, which is not reported
against the package but shows up when browsing the list of bugs for
pytrainer.

I don't really understand why pytrainer is specifically mentioned as
affected by this bug and not all other things using (indirectly in the
case of pytrainer) libgl1-mesa-glx

There's probably something I don't get, which is why a small
explanation with the control message sent on March 22nd would have
helped, I think..:-)


-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Wed, 11 May 2011 17:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 11 May 2011 17:09:11 GMT) Full text and rfc822 format available.

Message #109 received at 612529@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Christian PERRIER <bubulle@debian.org>
Cc: 612529@bugs.debian.org
Subject: Re: Bug#612529: Why #612529 "affects" pytrainer specifically?
Date: Wed, 11 May 2011 19:05:03 +0200
[Message part 1 (text/plain, inline)]
On 05/11/2011 05:44 PM, Christian PERRIER wrote:
> Going around pytrainer bugs, I found this one, which is not reported
> against the package but shows up when browsing the list of bugs for
> pytrainer.
> 
> I don't really understand why pytrainer is specifically mentioned as
> affected by this bug and not all other things using (indirectly in the
> case of pytrainer) libgl1-mesa-glx
> 
> There's probably something I don't get, which is why a small
> explanation with the control message sent on March 22nd would have
> helped, I think..:-)
> 
> 

it affects pytrainer over matplotlib (#619193)
it only affects software with certain linkage patterns and not all
dependencies of mesa.

Actually I can't reproduce the crash anymore in matplotlib. Probably due
to this cairo change:

cairo (1.10.2-5) unstable; urgency=low
   * debian/control,
     debian/libcairo2.symbols,
     debian/rules:
     + Temporarily disable the OpenGL/EGL backend, since that makes us
     block on mesa / libdrm / linux-2.6 to migrate to testing, and
     we're blocking the gobject-introspection transition, and we don't
     want to tie them. It will be re-enabled soon after we migrate.
     There shouldn't be anything depending on these symbols yet, so
     this should be safe

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Wed, 11 May 2011 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 11 May 2011 20:18:03 GMT) Full text and rfc822 format available.

Message #114 received at 612529@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Julian Taylor <jtaylor.debian@googlemail.com>
Cc: 612529@bugs.debian.org
Subject: Re: Bug#612529: Why #612529 "affects" pytrainer specifically?
Date: Wed, 11 May 2011 22:15:23 +0200
[Message part 1 (text/plain, inline)]
Quoting Julian Taylor (jtaylor.debian@googlemail.com):

> it affects pytrainer over matplotlib (#619193)
> it only affects software with certain linkage patterns and not all
> dependencies of mesa.

OK, thanks for your answer. May I suggest including such short
rationale in similar control messages to the BTS? That can help when
coming back on a said bug later on, particularly when one is doing
some bug triaging...

> Actually I can't reproduce the crash anymore in matplotlib. Probably due
> to this cairo change:
> 
> cairo (1.10.2-5) unstable; urgency=low
>    * debian/control,
>      debian/libcairo2.symbols,
>      debian/rules:
>      + Temporarily disable the OpenGL/EGL backend, since that makes us
>      block on mesa / libdrm / linux-2.6 to migrate to testing, and
>      we're blocking the gobject-introspection transition, and we don't
>      want to tie them. It will be re-enabled soon after we migrate.
>      There shouldn't be anything depending on these symbols yet, so
>      this should be safe
> 

Hmmm, OK, fair enough. Not sure what will be decided by maintainers
and it the best action is closing the bug or leaving it opened.




-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Fri, 17 Jun 2011 12:24:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher James Halse Rogers <raof@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 17 Jun 2011 12:24:17 GMT) Full text and rfc822 format available.

Message #119 received at 612529@bugs.debian.org (full text, mbox):

From: Christopher James Halse Rogers <raof@ubuntu.com>
To: 612529@bugs.debian.org
Subject: Upstream status
Date: Fri, 17 Jun 2011 22:20:44 +1000
[Message part 1 (text/plain, inline)]
The status of the Ubuntu patch upstream, as best I can remember it, is
that they think it's fixing the problem in the wrong place.  The libc
dynamic loader is meant to have some special magic set aside so that at
least some TLS code with the initial-exec class can be loaded, but this
clearly isn't working properly.

I started investigating this, then got busy with other things.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#612529; Package libgl1-mesa-glx. (Mon, 07 Nov 2011 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 07 Nov 2011 17:09:07 GMT) Full text and rfc822 format available.

Message #124 received at 612529@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 612529@bugs.debian.org
Subject: [libgl1-mesa-glx] Maybe related to 622591
Date: Mon, 7 Nov 2011 18:08:20 +0100
Package: libgl1-mesa-glx
Version: 7.11-6

This bug smell like fixed 622591

Bastien




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 04 Dec 2011 13:48:29 GMT) Full text and rfc822 format available.

Notification sent to Yannick Roehlly <yannick.roehlly@free.fr>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 13:48:29 GMT) Full text and rfc822 format available.

Message #129 received at 612529-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 612529-done@bugs.debian.org
Subject: Re: Bug#612529: [libgl1-mesa-glx] Maybe related to 622591
Date: Sun, 4 Dec 2011 14:47:30 +0100
On Mon, Nov  7, 2011 at 18:08:20 +0100, Bastien ROUCARIES wrote:

> Package: libgl1-mesa-glx
> Version: 7.11-6
> 
> This bug smell like fixed 622591
> 
I'd guess #637239, which looks essentially the same as this one.  In any
case, seems like we can close this.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jan 2012 07:35:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:26:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.